# Operator - Provisioning PGP Keypair 

## Requirements

The initial set up requires the provisioner and operator to do all of these in a continuous session ensuring dual custody. Ensure that all participants are familiar with the sub-processes (TODO list sub-processes) so that the ceremony can be completed in one working day.

* 3 individuals in order to have the flexibility for washroom breaks, fetching food and drinks etc.

* AirgapOS SD Card: [Provisioning Guide](./provision-airgapos.md)

* Tamper Proofing Equipment: [Provisioning Guide](./provision-tamper-proofing-equipment.md)

* Smart Cards (whatever number of PGP keys are being provisioned): [Smart Cards](TODO link to hardware)

* SD Cards: [Provisioning Guide](./provision-sd-card.md)

## Procedure

1. Set up AirgapOS (can be done ahead of time)
    - [ ] add guide

1. Procure hardware
    * Dual custody

1. Enter the designated location with an operator and individual keys are being generated for and all required equipment

1. Lock access to the location - there should be no inflow or outflow of people during the ceremony

1. Gut the laptop before using it: radio cards, speakers, microphones, storage drive

1. Boot AirgapOS from verified SD card

1. Check AirgapOS hashes when it's booted

{{ #include ../../../../component-documents/openpgp-setup.md:steps-keyfork}}

1. Create tamper proofed bundle (airgapos, laptop)

1. Submit evidence to ceremonies repo

#### Creation of Initial Air-Gapped Bundle
- [ ] TODO there is a reference to air gapped bundle in provisioner: procure-equipment... doc

{{ #include ../../../../component-documents/tamper-evidence-methods.md:vsbwf-procedure-sealing}}

